function [ COM2X COM2Y] = CenterOfMass2(A,x,r,t)
%find center of mass time-dependent
nx=length(x);
nr=length(r);
nt=length(t);
COM2X=zeros(1,nt);
COM2Y=zeros(1,nt);
TOTMASS=zeros(1,nt);


for it = 1:nt
    for ix=1:nx
        x1=x(ix);

        for ir=1:nr
            r1=r(ir);

            Cx1r1=A(ir,ix,it);

            TOTMASS(it)=TOTMASS(it)+Cx1r1;
            COM2X(it)=COM2X(it)+Cx1r1*x1;
            COM2Y(it)=COM2Y(it)+Cx1r1*r1;
        end
    end
    if(TOTMASS(it) > 0 )
        COM2X(it)=COM2X(it)/TOTMASS(it);
        COM2Y(it)=COM2Y(it)/TOTMASS(it);
    else
        COM2X(it)=0;
        COM2Y(it)=0;
    end
end
end

