function [a b c d] = fit4 (x1,x2,r1,r2,Cx1r1,Cx1r2,Cx2r1,Cx2r2)
% Fit a*x+b*r+c*x*r + d to the four points Cx1r1, Cx1r2, Cx2r1, Cx2r2
denom =  (-x2 + x1) * (r1 - r2);
a=( -r1 * Cx2r2 + r1 * Cx1r2 + Cx2r1 * r2 - Cx1r1 * r2)/denom;
b=(  -x1 * Cx2r2 + x1 * Cx2r1 + x2 * Cx1r2 - x2 * Cx1r1)/denom;
c=( Cx2r2 - Cx2r1 - Cx1r2 + Cx1r1)/denom;
d=( (-r1 * Cx1r2 + Cx1r1 * r2) * x2 + (r1 * Cx2r2 - Cx2r1 * r2) * x1)/denom;
end
